// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UK2Node_ComponentBoundEvent.h"
#include "K2Node_ComponentBoundEvent.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UK2Node_ComponentBoundEvent::SCW_UK2Node_ComponentBoundEvent(UK2Node_ComponentBoundEvent* InK2Node_ComponentBoundEvent) : SCW_UK2Node_Event(InK2Node_ComponentBoundEvent), K2Node_ComponentBoundEvent(InK2Node_ComponentBoundEvent)
{

}

ISCW_UK2NodePtr SCW_UK2Node_ComponentBoundEvent::AsUK2Node() const
{
	return GetSharedThisAs<SCW_UK2Node>();
}

ISCW_UK2Node_EventPtr SCW_UK2Node_ComponentBoundEvent::AsUK2Node_Event() const
{
	return GetSharedThisAs<SCW_UK2Node_Event>();
}

wstring SCW_UK2Node_ComponentBoundEvent::GetComponentPropertyName() const
{
	return TCHAR_TO_WCHAR(*K2Node_ComponentBoundEvent->ComponentPropertyName.ToString());
}

wstring SCW_UK2Node_ComponentBoundEvent::GetDelegatePropertyName() const
{
	return TCHAR_TO_WCHAR(*K2Node_ComponentBoundEvent->DelegatePropertyName.ToString());
}

UK2Node_ComponentBoundEvent* SCW_UK2Node_ComponentBoundEvent::ToUK2Node_ComponentBoundEvent() const
{
	return K2Node_ComponentBoundEvent;
}
